<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Object Descriptor APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Object Descriptor APIs<br/>
<small>
[<a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__remap__point__t.html">tivx_remap_point_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remap point in remap table.  <a href="structtivx__remap__point__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object descriptor.  <a href="structtivx__obj__desc__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Node object descriptor.  <a href="structtivx__obj__desc__node__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html">tivx_obj_desc_image_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__image__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html">tivx_obj_desc_remap_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remap object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__remap__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html">tivx_obj_desc_matrix_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix object descriptor as placed in shared memory  <a href="structtivx__obj__desc__matrix__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html">tivx_obj_desc_lut_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">lut object descriptor as placed in shared memory  <a href="structtivx__obj__desc__lut__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html">tivx_obj_desc_pyramid_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pyramid object descriptor as placed in shared memory  <a href="structtivx__obj__desc__pyramid__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html">tivx_obj_desc_convolution_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">convolution object descriptor as placed in shared memory  <a href="structtivx__obj__desc__convolution__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html">tivx_obj_desc_threshold_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">threshold object descriptor as placed in shared memory  <a href="structtivx__obj__desc__threshold__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html">tivx_obj_desc_distribution_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">distribution object descriptor as placed in shared memory  <a href="structtivx__obj__desc__distribution__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html">tivx_obj_desc_array_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array object descriptor as placed in shared memory  <a href="structtivx__obj__desc__array__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html">tivx_obj_desc_objarray_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">object array object descriptor as placed in shared memory  <a href="structtivx__obj__desc__objarray__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html">tivx_obj_desc_scalar_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scalar object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__scalar__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a39d38c49ae7032501ac90a53c38535d6">TIVX_OBJ_DESC_IMAGE</a> =  0x0, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a8eda0effb9ba17eb34edd8e764d6d902">TIVX_OBJ_DESC_SCALAR</a> =  0x1, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a0e0a126cc88b7030ec9c2fed3de86b36">TIVX_OBJ_DESC_REMAP</a> =  0x2, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a0862c59114385a892326038f1c102bf1">TIVX_OBJ_DESC_NODE</a> =  0x3, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a2c2ef770b3f13586c650244a0c5f6313">TIVX_OBJ_DESC_CMD</a> =  0x4, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109acd14a950c029d02bd12b014dc487d808">TIVX_OBJ_DESC_MATRIX</a> =  0x5, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109af5a9c8ac33f96f177cd3728247c9ea6a">TIVX_OBJ_DESC_LUT</a> =  0x6, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109ae19fb3ab5bc0f60b07e7c7739f676ea3">TIVX_OBJ_DESC_CONVOLUTION</a> =  0x7, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a890a0906323b92d8258238c3afe03c9a">TIVX_OBJ_DESC_DISTRIBUTION</a> =  0x8, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a2756ef47debca4917e1d00337270ae2d">TIVX_OBJ_DESC_THRESHOLD</a> =  0x9, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a97895f8da837d0d5993433abf0b2394c">TIVX_OBJ_DESC_ARRAY</a> =  0xA, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109ac3a0cf06df9653de61a3364a43e63f79">TIVX_OBJ_DESC_PYRAMID</a> =  0xB, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a4b1687cd6ceb79de00a7af48ade5e69d">TIVX_OBJ_DESC_OBJARRAY</a> =  0xC, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a5fa1efc8e11c5988c7a38228143d4a7f">TIVX_OBJ_DESC_INVALID</a> =  0xFFFFu
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enum that list all possible object descriptor type's. </p>
 <a href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_image_create_type_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77abdae207642f6d4eac4885ff53e3a1042">TIVX_IMAGE_NORMAL</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77a532f5e03024de0f3c8ce71bfb55b5de4">TIVX_IMAGE_UNIFORM</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ac1cc0f02de444d51546f8b2d565f4f35">TIVX_IMAGE_VIRTUAL</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ac6e8c647daf958ce6f40152d5de93907">TIVX_IMAGE_FROM_HANDLE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ab0934aa925c10c43c11560e58ef59cbf">TIVX_IMAGE_FROM_ROI</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ace7f7be141ec95c72d6b25bd4cf6b18a">TIVX_IMAGE_FROM_CHANNEL</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Method by which image is created. </p>
 <a href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga412e9ff53c1a69e16a33ac511366f742">TIVX_NODE_FLAG_IS_REPLICATED</a>&nbsp;&nbsp;&nbsp;(0x00000001u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if node is replicated.  <a href="#ga412e9ff53c1a69e16a33ac511366f742"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#gaf7ae2fec33c7997a3106f061624d9add">TIVX_NODE_FLAG_IS_EXECUTED</a>&nbsp;&nbsp;&nbsp;(0x00000002u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if node is executed.  <a href="#gaf7ae2fec33c7997a3106f061624d9add"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga2f5e855e1a88921989451ebf30b70778">TIVX_NODE_FLAG_IS_USER_CALLBACK</a>&nbsp;&nbsp;&nbsp;(0x00000004u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if user callback is requested after node complete.  <a href="#ga2f5e855e1a88921989451ebf30b70778"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga4a01ab216dbd031e89a5b4367bb33881">TIVX_NODE_FLAG_IS_TARGET_KERNEL</a>&nbsp;&nbsp;&nbsp;(0x00000008u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if kernel associated with this node is a user kernel or target kernel.  <a href="#ga4a01ab216dbd031e89a5b4367bb33881"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#gaa345cc795baa95e1d5ff39694700ad87">TIVX_GRAPH_MAX_NODES</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible nodes in graph.  <a href="#gaa345cc795baa95e1d5ff39694700ad87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga5851041910fe499bd7839500a534a293">TIVX_NODE_MAX_REPLICATE</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number of replicated nodes.  <a href="#ga5851041910fe499bd7839500a534a293"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga412e9ff53c1a69e16a33ac511366f742"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_FLAG_IS_REPLICATED" ref="ga412e9ff53c1a69e16a33ac511366f742" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_FLAG_IS_REPLICATED&nbsp;&nbsp;&nbsp;(0x00000001u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate if node is replicated. </p>

</div>
</div>
<a class="anchor" id="gaf7ae2fec33c7997a3106f061624d9add"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_FLAG_IS_EXECUTED" ref="gaf7ae2fec33c7997a3106f061624d9add" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_FLAG_IS_EXECUTED&nbsp;&nbsp;&nbsp;(0x00000002u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate if node is executed. </p>

</div>
</div>
<a class="anchor" id="ga2f5e855e1a88921989451ebf30b70778"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_FLAG_IS_USER_CALLBACK" ref="ga2f5e855e1a88921989451ebf30b70778" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_FLAG_IS_USER_CALLBACK&nbsp;&nbsp;&nbsp;(0x00000004u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate if user callback is requested after node complete. </p>

</div>
</div>
<a class="anchor" id="ga4a01ab216dbd031e89a5b4367bb33881"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_FLAG_IS_TARGET_KERNEL" ref="ga4a01ab216dbd031e89a5b4367bb33881" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_FLAG_IS_TARGET_KERNEL&nbsp;&nbsp;&nbsp;(0x00000008u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate if kernel associated with this node is a user kernel or target kernel. </p>

</div>
</div>
<a class="anchor" id="gaa345cc795baa95e1d5ff39694700ad87"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_GRAPH_MAX_NODES" ref="gaa345cc795baa95e1d5ff39694700ad87" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_GRAPH_MAX_NODES&nbsp;&nbsp;&nbsp;(32u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max possible nodes in graph. </p>

</div>
</div>
<a class="anchor" id="ga5851041910fe499bd7839500a534a293"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_MAX_REPLICATE" ref="ga5851041910fe499bd7839500a534a293" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_MAX_REPLICATE&nbsp;&nbsp;&nbsp;(32u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number of replicated nodes. </p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga4858f5eeb4edfc862b9b8b2039ed8109"></a><!-- doxytag: member="tivx_obj_desc.h::tivx_obj_desc_type_e" ref="ga4858f5eeb4edfc862b9b8b2039ed8109" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum that list all possible object descriptor type's. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a39d38c49ae7032501ac90a53c38535d6"></a><!-- doxytag: member="TIVX_OBJ_DESC_IMAGE" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a39d38c49ae7032501ac90a53c38535d6" args="" -->TIVX_OBJ_DESC_IMAGE</em>&nbsp;</td><td>
<p>Object desciptor that has information related to image object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a8eda0effb9ba17eb34edd8e764d6d902"></a><!-- doxytag: member="TIVX_OBJ_DESC_SCALAR" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a8eda0effb9ba17eb34edd8e764d6d902" args="" -->TIVX_OBJ_DESC_SCALAR</em>&nbsp;</td><td>
<p>Object desciptor that has information related to scalar object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a0e0a126cc88b7030ec9c2fed3de86b36"></a><!-- doxytag: member="TIVX_OBJ_DESC_REMAP" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a0e0a126cc88b7030ec9c2fed3de86b36" args="" -->TIVX_OBJ_DESC_REMAP</em>&nbsp;</td><td>
<p>Object desciptor that has information related to remap object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a0862c59114385a892326038f1c102bf1"></a><!-- doxytag: member="TIVX_OBJ_DESC_NODE" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a0862c59114385a892326038f1c102bf1" args="" -->TIVX_OBJ_DESC_NODE</em>&nbsp;</td><td>
<p>Object desciptor that has information related to node object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a2c2ef770b3f13586c650244a0c5f6313"></a><!-- doxytag: member="TIVX_OBJ_DESC_CMD" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a2c2ef770b3f13586c650244a0c5f6313" args="" -->TIVX_OBJ_DESC_CMD</em>&nbsp;</td><td>
<p>Object desciptor that has information related to command object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109acd14a950c029d02bd12b014dc487d808"></a><!-- doxytag: member="TIVX_OBJ_DESC_MATRIX" ref="gga4858f5eeb4edfc862b9b8b2039ed8109acd14a950c029d02bd12b014dc487d808" args="" -->TIVX_OBJ_DESC_MATRIX</em>&nbsp;</td><td>
<p>Object desciptor that has information related to matrix object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109af5a9c8ac33f96f177cd3728247c9ea6a"></a><!-- doxytag: member="TIVX_OBJ_DESC_LUT" ref="gga4858f5eeb4edfc862b9b8b2039ed8109af5a9c8ac33f96f177cd3728247c9ea6a" args="" -->TIVX_OBJ_DESC_LUT</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Lut object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109ae19fb3ab5bc0f60b07e7c7739f676ea3"></a><!-- doxytag: member="TIVX_OBJ_DESC_CONVOLUTION" ref="gga4858f5eeb4edfc862b9b8b2039ed8109ae19fb3ab5bc0f60b07e7c7739f676ea3" args="" -->TIVX_OBJ_DESC_CONVOLUTION</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Convolution object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a890a0906323b92d8258238c3afe03c9a"></a><!-- doxytag: member="TIVX_OBJ_DESC_DISTRIBUTION" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a890a0906323b92d8258238c3afe03c9a" args="" -->TIVX_OBJ_DESC_DISTRIBUTION</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Distribution object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a2756ef47debca4917e1d00337270ae2d"></a><!-- doxytag: member="TIVX_OBJ_DESC_THRESHOLD" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a2756ef47debca4917e1d00337270ae2d" args="" -->TIVX_OBJ_DESC_THRESHOLD</em>&nbsp;</td><td>
<p>Object desciptor that has information related to threshold object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a97895f8da837d0d5993433abf0b2394c"></a><!-- doxytag: member="TIVX_OBJ_DESC_ARRAY" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a97895f8da837d0d5993433abf0b2394c" args="" -->TIVX_OBJ_DESC_ARRAY</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Array object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109ac3a0cf06df9653de61a3364a43e63f79"></a><!-- doxytag: member="TIVX_OBJ_DESC_PYRAMID" ref="gga4858f5eeb4edfc862b9b8b2039ed8109ac3a0cf06df9653de61a3364a43e63f79" args="" -->TIVX_OBJ_DESC_PYRAMID</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Pyramid object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a4b1687cd6ceb79de00a7af48ade5e69d"></a><!-- doxytag: member="TIVX_OBJ_DESC_OBJARRAY" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a4b1687cd6ceb79de00a7af48ade5e69d" args="" -->TIVX_OBJ_DESC_OBJARRAY</em>&nbsp;</td><td>
<p>Object desciptor that has information related to Object Array object. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4858f5eeb4edfc862b9b8b2039ed8109a5fa1efc8e11c5988c7a38228143d4a7f"></a><!-- doxytag: member="TIVX_OBJ_DESC_INVALID" ref="gga4858f5eeb4edfc862b9b8b2039ed8109a5fa1efc8e11c5988c7a38228143d4a7f" args="" -->TIVX_OBJ_DESC_INVALID</em>&nbsp;</td><td>
<p>Value of a invalid object descriptor. </p>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<a class="anchor" id="ga25fa81b14d1e21751503d0b836ff5d77"></a><!-- doxytag: member="tivx_obj_desc.h::tivx_image_create_type_e" ref="ga25fa81b14d1e21751503d0b836ff5d77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_image_create_type_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method by which image is created. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77abdae207642f6d4eac4885ff53e3a1042"></a><!-- doxytag: member="TIVX_IMAGE_NORMAL" ref="gga25fa81b14d1e21751503d0b836ff5d77abdae207642f6d4eac4885ff53e3a1042" args="" -->TIVX_IMAGE_NORMAL</em>&nbsp;</td><td>
<p>Create using vxCreateImage(). </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77a532f5e03024de0f3c8ce71bfb55b5de4"></a><!-- doxytag: member="TIVX_IMAGE_UNIFORM" ref="gga25fa81b14d1e21751503d0b836ff5d77a532f5e03024de0f3c8ce71bfb55b5de4" args="" -->TIVX_IMAGE_UNIFORM</em>&nbsp;</td><td>
<p>Create using vxCreateUniformImage(). </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77ac1cc0f02de444d51546f8b2d565f4f35"></a><!-- doxytag: member="TIVX_IMAGE_VIRTUAL" ref="gga25fa81b14d1e21751503d0b836ff5d77ac1cc0f02de444d51546f8b2d565f4f35" args="" -->TIVX_IMAGE_VIRTUAL</em>&nbsp;</td><td>
<p>Create using vxCreateVirtualImage(). </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77ac6e8c647daf958ce6f40152d5de93907"></a><!-- doxytag: member="TIVX_IMAGE_FROM_HANDLE" ref="gga25fa81b14d1e21751503d0b836ff5d77ac6e8c647daf958ce6f40152d5de93907" args="" -->TIVX_IMAGE_FROM_HANDLE</em>&nbsp;</td><td>
<p>Create using vxCreateImageFromHandle(). </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77ab0934aa925c10c43c11560e58ef59cbf"></a><!-- doxytag: member="TIVX_IMAGE_FROM_ROI" ref="gga25fa81b14d1e21751503d0b836ff5d77ab0934aa925c10c43c11560e58ef59cbf" args="" -->TIVX_IMAGE_FROM_ROI</em>&nbsp;</td><td>
<p>Create using vxCreateImageFromROI(). </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga25fa81b14d1e21751503d0b836ff5d77ace7f7be141ec95c72d6b25bd4cf6b18a"></a><!-- doxytag: member="TIVX_IMAGE_FROM_CHANNEL" ref="gga25fa81b14d1e21751503d0b836ff5d77ace7f7be141ec95c72d6b25bd4cf6b18a" args="" -->TIVX_IMAGE_FROM_CHANNEL</em>&nbsp;</td><td>
<p>Create using vxCreateImageFromChannel(). </p>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
